
$(".choix1").change(function () {
    //alert('ssxsx');
    if (typeof $(this).data('options') === "undefined") {
        /*Taking an array of all options-2 and kind of embedding it on the select1*/
        $(this).data('options', $('.choix2 .option').clone());
        //$(this).data('options', $('.choix2 optgroup').clone());
        //alert($(this).data('options'));
    }
    var id = $(this).val();
    var options = $(this).data('options').filter('[data-option=' + id + ']' || '[data-option=0]' );
    var options2 = $(this).data('options').filter('[data-option=0]' );
    options = $.merge(options2,options);
    //console.log(options)
    //options.append("");
    $('.choix2').html(options);
    //$('.choix2').selectpicker('refresh');
});

$('.open-del').on('click',function(){
    //alert('zszszsazs');
    var myBookId = $(this).data('id');
    //alert(myBookId);
    $(".modal-footer #clientId").val( myBookId );
    
});

$('.open-check').on('click',function(){
    //alert('zszszsazs');
    var myBookId = $(this).data('id');
    //alert(myBookId);
    $(".modal-body #clientId").val( myBookId );
    
});

function x(){
    alert('errergregeg')
}

$('#mode').on('click',function(){
    alert('test');
    var myBookId = $(this).data('id');
    alert(myBookId);
    $("#clientId").val( myBookId );
    
});


$( function() {
  $( "#sortable" ).sortable();
  $( "#sortable" ).disableSelection();
} );


